unit ld002u1;

//ver 28 Jul 11

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TLD002f1 }

  TLD002f1 = class(TForm)
    buQuit: TButton;
    eAnswer: TEdit;
    laQuestion: TLabel;
    procedure buQuitClick(Sender: TObject);
    procedure eAnswerChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
    bNum0,bNum1:byte;
    sAnswer:string;
    procedure PrepareQuestion;
  public
    { public declarations }
  end; 

var
  LD002f1: TLD002f1;

implementation

{$R *.lfm}

{ TLD002f1 }

procedure TLD002f1.buQuitClick(Sender: TObject);
begin
  close;
end;

procedure TLD002f1.eAnswerChange(Sender: TObject);
begin
if eAnswer.text=sAnswer then begin
   showmessage('Right!');
   PrepareQuestion;
   end;
end;

procedure TLD002f1.FormCreate(Sender: TObject);
begin
  randomize;
  PrepareQuestion;
end;

procedure TLD002f1.PrepareQuestion;
begin
   bNum0:=random(10);
   bNum1:=2;
   laQuestion.caption:='What is '+inttostr(bNum0)+
      ' + '+inttostr(bNum1)+'?';
   sAnswer:=inttostr(bNum0+bNum1);
   eAnswer.text:='';
end;

end.

